/**********************************************************************
Copyright (C) 2005 Mustek Corporation, All rights reserved
    
Filename: ScannerTransparent.h   [Abstract: ]

Author: Jack            Date: 2005/05/13
	
Function Description:
	inform the function of scaning transparent

[Operative Environment:]

[Reference Articles:]

Revision History:
*********************************************************************/
#ifndef _ScannerTransparent_2005_5_13_
#define _ScannerTransparent_2005_5_13_

#include "../include/typedef.h"
#include "MustScanner.h"
#include "ScannerDefine.h"

/////////////////////////////
BOOL Transparent_Reset();
BOOL Transparent_ScanSuggest(PTARGETIMAGE pTarget, PSUGGESTSETTING pSuggest);
BOOL Transparent_SetupScan(COLORMODE ColorMode, WORD XDpi, WORD YDpi, BOOL isInvert, WORD X, WORD Y, WORD Width, WORD Height);
BOOL Transparent_StopScan();
BOOL Transparent_GetRows(BYTE* lpBlock,WORD* Rows,BOOL isOrderInvert);
BOOL Transparent_AdjustAD();
BOOL Transparent_FindTopLeft(WORD* lpwStartX, WORD* lpwStartY);
BOOL Transparent_LineCalibration16Bits(WORD wTAShadingMinus);
BOOL Transparent_PrepareScan();

#endif /* end of the file ScannerTransparent.h */

